Package ru.bitel.bgbilling.modules.megogo.server.bean

# Class MegogoContractCredentialsDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractCredentials>
ru.bitel.bgbilling.modules.megogo.server.bean.MegogoContractCredentialsDao

public class MegogoContractCredentialsDao extends ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractCredentials>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractCredentialsDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MegogoContractCredentials`
  `getByContractId(int contractId)`
  `MegogoContractCredentials`
  `getByLogin(String login)`
  `protected MegogoContractCredentials`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(MegogoContractCredentials contractLogin)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MegogoContractCredentialsDao

    public MegogoContractCredentialsDao(Connection con, int moduleId)

- ## Method Details

  - ### getByContractId

    public MegogoContractCredentials getByContractId(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getByLogin

    public MegogoContractCredentials getByLogin(String login) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MegogoContractCredentials contractLogin) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractCredentials>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected MegogoContractCredentials getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoContractCredentials>`
    Throws:
      `SQLException`